Create Processor Route

View as Markdown
Create a new processor route. A processor route is an ordered list of processors to use for card checkout.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Request

This endpoint expects an object.
namestringRequired<=255 characters
Route name
processorslist of objectsRequired
Ordered list of processors
descriptionstring or nullOptional
Route description

Response

Successful Response
idstring
Unique route identifier
namestring
Route name
processorslist of objects
Ordered list of processors
created_atdatetime
When the route was created
updated_atdatetime
When the route was last updated
descriptionstring or nullOptional
Route description

Errors

422
Unprocessable Entity Error